# Unplugged: Design Thinking

![Design thinking](/static/courses/csintro/making/design-thinking.png)

**Objective:** To introduce a process of design that starts with talking to one another. Whatever you build with code should serve a purpose or fill a need. Sometimes what you build will make the world more beautiful, or help somebody else. Our design process, based on a process called design thinking, can give students a specific framework for thinking purposefully about design. 

**Overview:** In this activity, students will interview each other about their ideal pet. They should take notes.
The first step in coding by design involves understanding someone else’s need. Then, you can create prototypes that get you closer and closer to the best solution.

**Materials:** Pairs of students, something to take notes on

**Getting started:**
Pair students up with each other. One is Student A, the other is Student B. The goal of this activity is to gather information from their partner that will help them to design a micro:bit pet for their partner.

**5 minutes:** Student A interviews Student B. The goal is to find out what Student B considers to be their ideal pet. Student A should mostly listen, and ask questions to keep Student B talking for the entire time. Here are some questions to start with:

* Do you have a pet? What is it?
* What do you like about your pet? What do you dislike?
* Is there anything you wish your pet could do? Why?
* Tell me about your ideal pet.
	
**5 minutes:** Student B interviews Student A, as above.

The goal is to find out more about your partner by asking questions. Try to ask “Why?” as much as possible. Your partner will tell you about his or her ideal pet, but you are really finding out more about your partner’s likes and dislikes. When we design, we create real things for real people. So we need to start with understanding them first.

**5 minutes:** Student A and Student B review their notes, and circle anything that seems as if it will be important to understanding how to create the ideal pet for their partner. Circle ideas, advice, anything that could be helpful when they start building. Then, they should use what they have discovered about their partner to fill in the blanks:

"My partner needs a `__________________` because `__________________`."

This definition statement should draw some conclusions about their partner's need based on the conversation they have had with that person.

**5 minutes:** Student A and Student B sketch at least 5 ideas of pets that would meet their partner's needs. Stick figures and diagrams are okay. At this point, quantity is more important than quality. Students shouldn't limit themselves to real animals; unicorns and mashups are totally fine!

Make sure students keep their notes and sketches! They will use them in the project for this lesson.

## Examples

![Design thinking sketch 1](/static/courses/csintro/making/dt-sketch1.jpg)

![Design thinking sketch 2](/static/courses/csintro/making/dt-sketch2.jpg)

![Design thinking sketch 3](/static/courses/csintro/making/dt-sketch3.jpg)

![Design thinking sketch 4](/static/courses/csintro/making/dt-sketch4.jpg)





