# Science Experiments

![A watering plant with a @boardname@](/static/courses/ucp-science.jpg)

The **Science Experiments** lessons are geared for students in middle school and early high school grades. The lessons are designed help the student gain a greater understanding of the forces and behavior of the physical world. This is done using methods of observation, measurement, and data analysis. By incorporating the micro:bit in the experiments, the lessons are a great way to teach both science and computing in the same activity.
 
These lessons guide the student in hands-on, practical measurement activities along with using the micro:bit to control and record data for the experiments. Each lesson provides an overview of the activity, outlines expected results, explains the setup of the experiment, and the gives a coding activity to measure and collect the data.

### ~hint

**MakeCode app**

To enable data collection in the experiments, the lessons require use of the **[Windows 10 MakeCode for micro:bit](https://www.microsoft.com/store/productId/9PJC7SV48LCX)** app instead of **[MakeCode](@homeurl@)** in the browser.

### ~

## Lesson series

### ~hint

**Download it**

The entire course is also available as a download. Choose any of these formats:

|||
|-|-|
| [![](/static/courses/csintro/icons/html-24x24.png)](/--docs#book:/courses/ucp-science/SUMMARY) | [- **HTML** - The entire course in a single HTML page that you can print to PDF or paper](/--docs#book:/courses/ucp-science/SUMMARY) |

### ~


The lesson series includes:
 
* [Data Collection Methods](/courses/ucp-science/data-collection)
* [Population Trait Data Counter](/courses/ucp-science/population)
* [Temperature Data](/courses/ucp-science/temperature)
* [Soil Moisture Tester](/courses/ucp-science/soil-moisture)
* [Gravity, Motion and Waves](/courses/ucp-science/gravity)
* [Body Electrical & Waves](/courses/ucp-science/body-electrical)
* [Electricity - Battery Tester](/courses/ucp-science/electricity)
 
The [Science Experiments](https://sites.google.com/view/utahcodingproject/csta/microbit-science-experiments) lesson series is generously provided by the [Utah Coding Project](https://sites.google.com/view/utahcodingproject/home) and is developed by [Carl Lyman](mailto:utahcoding@outlook.com).
 
[![CC BY-NC-SA](https://licensebuttons.net/l/by-nc-sa/4.0/88x31.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/)
