# Resources

## CSTA Standards

Computer Science Teachers Association (CSTA) Standards 2017.

http://www.csteachers.org/page/standards.

### Level 2 (Grades 6-8)

#### Computing Systems

* 02 — Design projects that combine hardware and software components to collect and exchange data.
* 03 — Systematically identify and fix problems with computing devices and their components.

#### Networks & the Internet

* 04 — Model the role of protocols in transmitting data across networks and the Internet.

#### Data & Analysis

* 07 — Represent data using multiple encoding schemes.
* 08 — Collect data using computational tools and transform the data to make it more useful and reliable.
* 09  — Refine computational models based on the data they have generated.

#### Algorithms & Programming

* 11 — Create clearly named variables that represent different data types and perform operations on their values.
* 12 — Design and iteratively develop programs that combine control structures, including nested loops and compound conditionals.
* 13 — Decompose problems and subproblems into parts to facilitate the design, implementation, and review of programs.
* 17 — Systematically test and refine programs using a range of test cases.
* 19 — Document programs in order to make them easier to follow, test, 

## Utah Science with Engineering Education (SEEd)

* [Utah Science Website](https://schools.utah.gov/curr/science)
* [Utah Grades 6-8 SEEd Standards](https://schools.utah.gov/file/265a0b53-b6a7-48fb-b253-b6a5f38ffe19)
* [Sixth grade OER Science text](https://eq.uen.org/emedia/items/dae58176-b839-4b26-87e4-09ca5ed98875/1/Grade6RS.pdf)
* [Seventh grade OER Science text](https://eq.uen.org/emedia/items/afd89ff1-054c-4ac5-a712-67f4c6029644/1/Grade7RS.pdf)
* [Eighth grade OER Science text](https://eq.uen.org/emedia/items/e5219302-32b9-4c2f-ad65-38f303da6654/1/Grade8RS.pdf)

## NGSS - Utah SEEd

### Strand 6.4: Stability and Change in Ecosystems

* Standard 6.4.3

>Develop a model to describe the cycling of matter and flow of energy among living and nonliving parts of an ecosystem...

### Strand 7.1: Forces are Interactions between Matter

* Standard 7.1.3

>Construct a model using ...the cause and effect relationship between properties of objects (such as ...electrically-charged objects)....

* Standard 7.1.4

>Collect and analyze data to determine the factors that affect the strength of electric ... forces…

### Strand 7.3: Structure and Function of Life

* Standard 7.3.3

>Construct an explanation using evidence to explain how body systems have various levels of organization. Emphasize understanding that cells form tissues, tissues form organs, and organs form systems specialized for particular body functions. Examples could include relationships between the circulatory, ....respiratory, muscular, ... and nervous systems. ...

### Strand 8.2: Energy is Stored and Transferred in Physical Systems

* Standard 8.2.4

>Use computational thinking to describe a simple model for waves that shows the pattern of wave amplitude being related to wave energy (the brain sends electrical signal to the body and muscles in a wave format). Emphasize describing waves with both quantitative and qualitative thinking. Examples could include using graphs, charts, computer simulations, or physical models to demonstrate amplitude and energy correlation.

* Standard 8.2.6

>Obtain and evaluate information to communicate the claim that the structure of digital signals are a more reliable way to store or transmit information than analog signals. Emphasize the basic understanding that waves can be used for communication purposes. Examples could include using vinyl record vs. digital song files, film cameras vs. digital cameras, or alcohol thermometers vs. digital thermometers.

## micro:bit

* [Microbit.org](http://microbit.org)
* [MakeCode.com](https://makecode.com)
* [Utah Coding Project](http://utahcoding.org)
* [Blog entry on Windows 10 MakeCode app](https://sites.google.com/view/utahcodingproject/blog/2018-jan-makecode-app)

<br/>

| | | |
|-|-|-|
| Adapted from "[Body Electrical & Waves](https://drive.google.com/open?id=1KofuOt0v1lmQhQyJux1XWDVoCDeslcjDFysjStFmo1w)" by [C Lyman](http://utahcoding.org) | | [![CC BY-NC-SA](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/) |
