# Overview

## Science Concept

### Electrical Force

The force of attraction or repulsion between charged particles is called electric force. The
strength of the electric force depends on several factors. It depends on how many electrons or protons there are. It also depends on the distance between the charged particles. How do you think the force will change if you increase or decrease the distance? ([ck12.org - Electric Charge and Electric Force](https://www.ck12.org/book/CK-12-Physical-Science-Concepts-For-Middle-School/section/5.61/)). One of the applied projects will be to create a way to test different batteries to see if they are still any good using a micro:bit.

![micro:bit battery tester](/static/courses/ucp-science/electricity/battery-tester.jpg)

## Project Goal

Give students real world experience with coding, collecting data, analyzing data, and reporting results using [MakeCode’s](https://makecode.com) block programming and a [micro:bit](http://microbit.org) with its sensors.

## Prior Knowledge

Students need to have a basic knowledge of how to code using block style programming (micro:bit using the Windows 10 MakeCode app) and download a program to a @boardname@.

## Student Outcomes

Students will:

* Create experiments to collect data using micro:bits and the pins to measure electrical voltage. 
* Setup different experiments to observe the electricity, voltage, and other electrical effects.
* Code the micro:bits to collect data.
* Analyze the data collected.

## Materials Needed

* 1 micro:bit with the battery pack connected
* A longer USB micro:bit cable
* Copper wire or alligator clips
* Spreadsheet for data analysis
* Old batteries for testing

<br/>

| | | |
|-|-|-|
| Adapted from "[Electricity - Battery Tester](https://drive.google.com/open?id=15Xry9jFsIzHHG7RpaIomLodl9pBjTiKDvtjkd227b7Y)" by [C Lyman](http://utahcoding.org) | | [![CC BY-NC-SA](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/) |
