# Resources

## CSTA Standards

Computer Science Teachers Association (CSTA) Standards 2017.

http://www.csteachers.org/page/standards.

### Level 2 (Grades 6-8)

#### Computing Systems

* 02 — Design projects that combine hardware and so􀁸ware components to collect and exchange data.
* 03 — Systematically identify and fix problems with computing devices and their components.

#### Networks & the Internet

* 04 — Model the role of protocols in transmitting data across networks and the Internet.

#### Data & Analysis

* 07 — Represent data using multiple encoding schemes.
* 08 — Collect data using computational tools and transform the data to make it more useful and reliable.
* 09  — Refine computational models based on the data they have generated.

#### Algorithms & Programming

* 11 — Create clearly named variables that represent different data types and perform operations on their values.
* 12 — Design and iteratively develop programs that combine control structures, including nested loops and compound conditionals.
* 13 — Decompose problems and subproblems into parts to facilitate the design, implementation, and review of programs.
* 17 — Systematically test and refine programs using a range of test cases.
* 19 — Document programs in order to make them easier to follow, test, and debug.

## Utah Science with Engineering Education (SEEd)

* [Utah Science Website](https://schools.utah.gov/curr/science)
* [Utah Grades 6-8 SEEd Standards](https://schools.utah.gov/file/265a0b53-b6a7-48fb-b253-b6a5f38ffe19)
* [Sixth grade OER Science text](https://eq.uen.org/emedia/items/dae58176-b839-4b26-87e4-09ca5ed98875/1/Grade6RS.pdf)
* [Seventh grade OER Science text](https://eq.uen.org/emedia/items/afd89ff1-054c-4ac5-a712-67f4c6029644/1/Grade7RS.pdf)
* [Eighth grade OER Science text](https://eq.uen.org/emedia/items/e5219302-32b9-4c2f-ad65-38f303da6654/1/Grade8RS.pdf)

## NGSS - Utah SEEd

Strand 7.1: Forces are Interactions between Matter

* Standard 7.1.3

>Construct a model using observational evidence to describe the nature of fields existing between objects that exert forces on each other even though the objects are not in contact. Emphasize the cause and effect relationship between properties of objects (such as magnets or electrically-charged objects) and the forces they exert.

* Standard 7.1.4

>Collect and analyze data to determine the factors that affect the strength of electric and magnetic forces. Examples could include electromagnets, electric motors, or generators. Examples of data could include the effect of the number of turns of wire on the strength of an electromagnet, or of increasing the number or strength of magnets on the speed of an electric motor.

## micro:bit

* [Microbit.org](http://microbit.org)
* [MakeCode.com](https://makecode.com)
* [Utah Coding Project](http://utahcoding.org)
* [Blog entry on Windows 10 MakeCode app](https://sites.google.com/view/utahcodingproject/blog/2018-jan-makecode-app)

<br/>

| | | |
|-|-|-|
| Adapted from "[Electricity - Battery Tester](https://drive.google.com/open?id=15Xry9jFsIzHHG7RpaIomLodl9pBjTiKDvtjkd227b7Y)" by [C Lyman](http://utahcoding.org) | | [![CC BY-NC-SA](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/) |
