# Resources

# CSTA Standards

Computer Science Teachers Association (CSTA) Standards 2017.

http://www.csteachers.org/page/standards.

### Level 2 (Grades 6-8)

#### Computing Systems

* 02 — Design projects that combine hardware and software components to collect and exchange data.
* 03 — Systematically identify and fix problems with computing devices and their components.

#### Networks & the Internet

* 04 — Model the role of protocols in transmitting data across networks and the Internet.

#### Data & Analysis

* 07 — Represent data using multiple encoding schemes.
* 08 — Collect data using computational tools and transform the data to make it more useful and reliable.
* 09  — Refine computational models based on the data they have generated.

#### Algorithms & Programming

* 11 — Create clearly named variables that represent different data types and perform operations on their values.
* 12 — Design and iteratively develop programs that combine control structures, including nested loops and compound conditionals.
* 13 — Decompose problems and subproblems into parts to facilitate the design, implementation, and review of programs.
* 17 — Systematically test and refine programs using a range of test cases.
* 19 — Document programs in order to make them easier to follow, test, and debug. 

## Utah Science with Engineering Education (SEEd)

* [Utah Science Website](https://schools.utah.gov/curr/science)
* [Utah Grades 6-8 SEEd Standards](https://schools.utah.gov/file/265a0b53-b6a7-48fb-b253-b6a5f38ffe19)
* [Sixth grade OER Science text](https://eq.uen.org/emedia/items/dae58176-b839-4b26-87e4-09ca5ed98875/1/Grade6RS.pdf)
* [Seventh grade OER Science text](https://eq.uen.org/emedia/items/afd89ff1-054c-4ac5-a712-67f4c6029644/1/Grade7RS.pdf)
* [Eighth grade OER Science text](https://eq.uen.org/emedia/items/e5219302-32b9-4c2f-ad65-38f303da6654/1/Grade8RS.pdf)

## NGSS - Utah SEEd

### Strand 6.1: Structure and Motion within the Solar System

The solar system consists of the Sun, planets, and other objects within Sun’s gravitational influence. Gravity is the force of attraction between masses...

* Standard 6.1.2

>Develop and use a model to describe the role of gravity and inertia in ... motions of objects …

* Standard 6.1.3

>Use computational thinking to analyze data and determine the scale and properties of objects in the solar system…. Data sources could include  Earth ...-based instruments ... Types of data could include graphs, data tables, ...

### Strand 7.1: Forces are Interactions between Matter

Forces are push or pull interactions between two objects. Changes in motion, balance and stability, and transfers of energy are all facilitated by forces on matter. Forces, including electric, magnetic, and gravitational forces, can act on objects that are not in contact with each other. Scientists use data from many sources to examine the cause and effect relationships determined by different forces.

* Standard 7.1.1

>Carry out an investigation which provides evidence that a change in an object’s motion is dependent on the mass of the object ... Various experimental designs should be evaluated to determine how well the investigation measures an object’s motion.

## micro:bit

* [Microbit.org](http://microbit.org)
* [MakeCode.com](https://makecode.com)
* [Utah Coding Project](http://utahcoding.org)
* [Blog entry on Windows 10 MakeCode app](https://sites.google.com/view/utahcodingproject/blog/2018-jan-makecode-app)

<br/>

| | | |
|-|-|-|
| Adapted from "[Gravity, Motion, and Waves](https://drive.google.com/open?id=1Z8S-W3n1jX6drC8ALj8Wh1Rjc0CyP0Afs3acnIjDYes)" by [C Lyman](http://utahcoding.org) | | [![CC BY-NC-SA](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/) |
