# Overview

## Science Concept

Surveys of different characteristics in a population can be done in several different ways. If it is people responding to a survey it could be done orally, on paper, or electronically to collect the data. If it is done by observation, it could be done with tally marks on a paper. If 2 different characteristics are being observed it is really hard to mentally keep track of 2 counts in a person’s head. It could be done on a @boardname@ using the **A** and **B** buttons as increment counters. The @boardname@ could also be programmed to show the 2 tallys and the total number observed. 

The strands and standards in 7th grade SEEd 7.5 talk about “... variation and the proportion of traits within a population can change over time…” Observing current traits in a population is a start to looking at changes in a population overtime. Standard 7.5.2 “Analyze and interpret data for patterns...” Possible observations could include: blond vs non blond, male vs female, cars vs trucks, right handed vs left handed, etc.

![micro:bit display for counting traits](/static/courses/ucp-science/population/microbit-display.jpg)

## Project Goal

Learn coding with math concepts to create a microbit 2 trait counter.

## Prior Knowledge

Students need to:

* Have a basic knowledge of how to code using block style programming (Scratch, Code.org, etc.) 
* Basis knowledge of the MakeCode programming environment.
* Knowledge of using variables and basic math in coding the microbit.
* Knowledge file management skills in Windows.
* How to download a program and copy it to a microbit. Checkout this guide: [Using a Microbit in 5 easy steps](http://microbit.org/guide/quick/).

## Student Outcomes

Students will:

* Create experiments to collect data using a microbit to collect and count 2 types of data. 
* Setup different experiments to observe the gravity effect.
* Code the microbit using variables, counters, and math to collect and display data.
* Analyze report on the data collected.

## Materials Needed

* 1 @boardname@ with battery connected
* Windows 10 MakeCode app or [MakeCode](@homeurl@) in a browser.

<br/>

| | | |
|-|-|-|
| Adapted from "[Population Trait Data Counter](https://drive.google.com/open?id=1CC5uhIoZK4Q67vU5Ldwna6GEeZYXNDYzgO8BUUjPuwI)" by [C Lyman](http://utahcoding.org) | | [![CC BY-NC-SA](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/) |