# Data Analysis

In addition to learning programming, the @boardname@ is a fantastic tool for observing and measuring things that happen in the natural world. The sciences rely on methods of observation, information gathering, and analysis. Using the @boardname@ with MakeCode, you can use the sensors and inputs to measure and capture physical events that occur. Meausrement data can then be sent for recording by other devices like another @boardname@ or a personal computer.

![Data graph logo](/static/mb/device/data-analysis/data-analysis.jpg)

The Data Viewer in the MakeCode editor allows you to stream and log data from your programs. It will do this when you write data values using the **[serial](/reference/serial)** write functions. When you try your code in the simulator or connect with USB, each value you write is saved and collected as a log for you to analyze later if you want.

These topics describe how to analyze your data using MakeCode with the @boardname@:

* [Plotting with LEDs](./data-analysis/led-plotting)
* [Viewing your data](./data-analysis/viewing)
* [Writing data](./data-analysis/writing)
* [Generating data](./data-analysis/generating)
* [Analyze](./data-analysis/analyze)
* [Remote data collection](./data-analysis/remote)
